@if (milestoneModeData$ | async; as milestoneModeData) {
  <sqtm-core-customisable-dialog
    (confirm)="confirmNewVersion()"
    [titleKey]="'sqtm-core.requirement-workspace.dialog.new-req-version.title'"
  >
    <sqtm-core-dialog-body>
      <div class="m-10" [formGroup]="formGroup">
        <div class="flex-column">
          <span>{{
            'sqtm-core.requirement-workspace.dialog.new-req-version.messages.new-version'
              | translate
          }}</span>
          @if (milestoneModeData.milestoneModeEnabled) {
            <span>{{
              'sqtm-core.requirement-workspace.dialog.new-req-version.messages.milestone'
                | translate
            }}</span>
          }
        </div>
        <div class="flex-column template-parameters">
          <span
            nz-checkbox
            [formGroup]="formGroup"
            formControlName="inheritReqLinks"
            ngDefaultControl
          >
            {{
              'sqtm-core.requirement-workspace.dialog.new-req-version.inherit-req-links'
                | translate
            }}
          </span>
          <span
            nz-checkbox
            [formGroup]="formGroup"
            formControlName="inheritTestCases"
            ngDefaultControl
          >
            {{
              'sqtm-core.requirement-workspace.dialog.new-req-version.inherit-test-cases'
                | translate
            }}
          </span>
        </div>
      </div>
    </sqtm-core-dialog-body>
  </sqtm-core-customisable-dialog>
}
